<template>
  <g stroke="#000" stroke-width="4">
    <path
      d="m160.36 311.32c4.4547-5.9337 9.0682-12.332 13.578-17.2 3.666-3.773 7.827-7.4 12.127-9.925 4.316-2.533 8.579-3.844 12.535-3.31 42.438 5.722 73.669 24.519 93.941 52.518h-273.3c16.3-29.342 39.484-48.019 77.07-56.588 1.602-0.366 3.78-0.255 6.503 0.379 2.695 0.626 5.768 1.727 9.081 3.184 6.627 2.913 14.024 7.16 20.976 11.56 6.941 4.394 13.386 8.907 18.1 12.324 3.4176 2.4267 6.0294 4.5374 9.389 7.058z"
      :fill="props.color"
    />
    <path
      d="m84.236 280.36 5.166-19.232c0.21-0.779 1.217-0.999 1.761-0.404 14.863 16.265 33.62 15.627 39.845 14.88 0.845-0.1 1.507 0.824 1.11 1.577l-13.157 24.953c-0.19234 0.38334-0.61768 0.59028-1.038 0.505-3.948-0.823-23.623-5.632-33.571-21.497-0.14546-0.23329-0.18748-0.51653-0.116-0.782zm130.58-0.104-11.58-19.481c-0.393-0.662-1.362-0.65-1.781-5e-3 -5.737 8.836-15.632 12.906-19.092 14.108-0.622 0.217-0.907 0.956-0.571 1.523l13.502 22.815c0.202 0.34 0.582 0.525 0.963 0.417 2.135-0.608 9.46-3.672 18.546-18.336 0.196-0.315 0.203-0.72 0.013-1.04z"
      :fill="props.subColor"
    />
    <path
      d="m141.12 297.78-9-21.5-7 15zm31.5-1 9-21.5 7 15zm-67.246-40.987-15.254 4.4871 12.645 6.8537zm83.22 1.4871 14.026 3-10.145 6.7475z"
      fill="#000"
      stroke-linejoin="round"
    />
  </g>
</template>

<script lang="ts" setup>
const props = defineProps<{
  color: string
  subColor: string
}>()
</script>
